bundle ch.qos.logback.classic 0.0.0 missing

2013-12-10
2013-12-11
  • When I install the plugin through the Eclipse software installer as per the instructions at https://sourceforge.net/p/eclipsejsonedit/discussion/957258/thread/bc439e53/, I get the following error:

    "Cannot complete the install because one or more required items could not be found.
    Software being installed: JSON Editor Plugin 0.9.7 (jsonedit-feature.feature.group 0.9.7)
    Missing requirement: JSON Editor Validator 0.9.7 (jsonedit-validator 0.9.7) requires 'bundle ch.qos.logback.classic 0.0.0' but it could not be found
    Cannot satisfy dependency:
    From: JSON Editor Plugin 0.9.7 (jsonedit-feature.feature.group 0.9.7)
    To: jsonedit-validator [0.9.7]"

    I will research further and report back.

     
  • Hi there,

    I believe you need to install the plugin:

    "Logging with SLF4J and Logback"

    This should be available by choosing Help->Install New Software.

    Selecting the Eclipse Download URL for your Eclipse version. e.g. for Juno the URL is:

    Juno - http://download.eclipse.org/releases/juno/201209280900

    then choosing "Logging with SLF4J and Logback" to install.

    Hope that helps.

    Cheers,
    Matt.